curl --request POST \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/account/{address}/token-accounts \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"mint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
}
'import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/account/{address}/token-accounts"
payload = { "mint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mint: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v'})
};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/account/{address}/token-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ataAddress": "<string>",
"created": true,
"txSignature": "<string>"
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}Create a Solana token account (ATA) for an account
Create the Solana Associated Token Account (ATA) for a registered account’s Solana deposit address and an SPL mint, so transfers from senders that omit a create-ATA instruction (some CEXes) do not bounce on-chain. Allowlisted clients only. Idempotent: returns the existing ATA with created=false if it already exists. Rejects native/wrapped SOL (no ATA needed).
Headers
API key for authentication
"your-api-key"
API version identifier (e.g. "2026-04.amazon"). Optional today, will become required in a future release.
^\d{4}-\d{2}\.[a-z0-9]+$"2026-04.amazon"
Path Parameters
Ethereum address (0x followed by 40 hex characters)
^0x[a-fA-F0-9]{40}$"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
Body
Base58-encoded SPL token mint to create the Associated Token Account for
"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
Was this page helpful?